#!/bin/bash
#
# 2008.04.28, Rev.00-00-01
# 2012.09.04, Rev.00-00-02 removed miniBMC
# 2012.10.12, Rev.00-00-03 supported vMA(ESXi5)
# 2016.04.05, Rev.00-00-04 support vRHEL
# SelManager uninstaller for Linux

SELMANAGER_INSTALL_DIR="/opt/hitachi/SelManager"

if [ ! -d $SELMANAGER_INSTALL_DIR ]; then
	echo "SelManager is not installed."
	exit 1
fi

# Run user check
if [ `id -u` != "0" ]; then
	echo "Please execute it by \"root\" user."
	exit 1
fi
trap "" 1 2 3 14 15

#---------------------------------------------------------------
# Get the Platform type and more.
#---------------------------------------------------------------
RHEL_INFO=/etc/redhat-release
VMA_INFO=/etc/vma-release

#IS_GUESTOS=100
IS_GUESTOS=1
which virt-what > /dev/null 2>&1
if [ $? -eq 0 ]; then
	IS_GUESTOS=1
	VMMACHINE=`virt-what`
	if [ ${#VMMACHINE} -ne 0 ]; then
		if [ $VMMACHINE = "vmware" ]; then
			IS_GUESTOS=0
		fi
	fi
fi

if [ -f /etc/vma-release ]; then
	if [ -f /etc/init.d/SelManager ]; then
		SELMANAGER_PID=`pidof SelManager`
		if [ -n "${SELMANAGER_PID}" -a -d /proc/$SELMANAGER_PID ]; then
			/etc/init.d/SelManager stop
		fi
		chkconfig --del SelManager > /dev/null 2>&1
		rm -f /etc/init.d/SelManager
	fi
else
	if [ -f /etc/rc.d/init.d/SelManager ]; then
		SELMANAGER_PID=`pidof SelManager`
		if [ -n "${SELMANAGER_PID}" -a -d /proc/$SELMANAGER_PID ]; then
			/etc/rc.d/init.d/SelManager stop
		fi
		chkconfig --del SelManager
		rm -f /etc/rc.d/init.d/SelManager
	fi
#	if [ -f /etc/rc.d/init.d/ipmi ]; then
	if [ $IS_GUESTOS -ne 0 -a -f /etc/rc.d/init.d/ipmi ]; then
		chkconfig ipmi off
	fi
fi
# SelManager Delete
(cd ${SELMANAGER_INSTALL_DIR}/rc.d; rm -f * )
(cd ${SELMANAGER_INSTALL_DIR}; rmdir rc.d; rm -f * )
rmdir ${SELMANAGER_INSTALL_DIR}
echo "Uninstalled successfully."
exit 0
